Summary:	A Nagios plugin to check hardware health on Dell servers
Name:		check_openmanage
Version:	3.7.12
Release:	10.1
License:	GPL
Group:		Applications/System
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://folk.uio.no/trondham/software/check_openmanage.html
Source0:	http://folk.uio.no/trondham/software/%{name}-%{version}.tar.bz2
Requires:	perl
Provides:	nagios-plugins-openmanage = %{version}.%{release}

%description
check_openmanage is a plugin for Nagios which checks the hardware
health of Dell PowerEgde and PowerVault servers. It uses the Dell
OpenManage Server Administrator (OMSA) software to accomplish this
task. check_openmanage can be used with SNMP or NRPE, whichever suits
your needs and particular taste. The plugin checks the health of the
storage subsystem, power supplies, memory modules, temperature probes
etc., and gives an alert if any of the components are faulty or
operate outside normal parameters.

%prep
%setup -q

%build
gzip man/%{name}.8
gzip man/%{name}.conf.5
mkdir -p %{buildroot}/%{_prefix}/lib/nagios/plugins/contrib
mkdir -p %{buildroot}/%{_mandir}/man8
mkdir -p %{buildroot}/%{_mandir}/man5
mkdir -p pnp
mv %{name}.php pnp/

%install
install -d -m 0755 %{buildroot}/%{_prefix}/lib/nagios/plugins/contrib
install -m 0755 %{name} %{buildroot}/%{_prefix}/lib/nagios/plugins/contrib
install -D -m 0755 man/%{name}.8.gz %{buildroot}/%{_mandir}/man8/%{name}.8.gz
install -D -m 0755 man/%{name}.conf.5.gz %{buildroot}/%{_mandir}/man5/%{name}.conf.5.gz

pushd %{buildroot}/%{_prefix}/lib/nagios/plugins/contrib
ln -s %{name} %{name}_alertlog
ln -s %{name} %{name}_batteries
ln -s %{name} %{name}_cpu
ln -s %{name} %{name}_esmlog
ln -s %{name} %{name}_fans
ln -s %{name} %{name}_intrusion
ln -s %{name} %{name}_memory
ln -s %{name} %{name}_power
ln -s %{name} %{name}_pwrmonitor
ln -s %{name} %{name}_storage
ln -s %{name} %{name}_temperature
ln -s %{name} %{name}_esmhealth
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_prefix}/lib/nagios/plugins/contrib/%{name}*
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%dir %{_prefix}/lib/nagios/plugins/contrib
%attr(0755, root, root) %{_mandir}/man8/%{name}.8*
%attr(0755, root, root) %{_mandir}/man5/%{name}.conf.5*
%doc pnp

%changelog
* Wed Oct  8 2014 cs@linux-administrator.com
- Update to version 3.7.12
  * Minor bugfixes
  * enhancement Set failed pdisk as critical (override OMSA)
  * bugfix Fix for blacklisted un-certified pdisks with predictive failure
  * bugfix Fix for pdisk in "Non-RAID" state
* Wed Aug  7 2013 cs@linux-administrator.com
- Update to version 3.7.11:
  * Minor bugfixes
  * bugfix Fixed a regression on systems with ePN enabled
* Fri Jul 19 2013 cs@linux-administrator.com
- Update to version 3.7.10:
  * Minor feature cnhancements, Minor bugfixes
  * enhancement Added option "--vdisk-critical" which will make any alerts on virtual disks appear as critical
  * bugfix Dell changed their web site again. The documentation URLs with HTML output have been changed accordingly
  * bugfix Fixed bug with option "--only servicetag"
* Tue Jan  8 2013 cs@linux-administrator.com
- Update to version 3.7.9:
  * Minor feature enhancements
  * enhancement Added a compatibility fix for OMSA 7.2.0,
    related to minimum controller firmware where output from OMSA has changed
* Thu Dec 13 2012 cs@linux-administrator.com
- Update to version 3.7.8:
  * Minor feature enhancements, Minor bugfixes
  * bugfix Fixed a regression regarding un-certified physical disks in "Ready" state
    (e.g. hot-spare) when using the blacklisting keyword "pdisk_cert"
  * enhancement Added an option "--snmp-timeout" which allows setting the SNMP
    object timeout for the Net::SNMP perl module
* Fri Dec  7 2012 cs@linux-administrator.com
- Update to version 3.7.7:
  * Minor feature enhancements, Minor bugfixes
  * bugfix Small fixes in PNP template
  * bugfix Fixed handling of functional but uncertified disks (Matthew Kent)
  * bugfix Fixed regression for pdisk cert on old hardware/OMSA
  * bugfix RPM spec: Fix docbook pkg name for suse
  * enhancement Reverse pdisk cert for OMSA 7.1.0 via SNMP, this works around an OMSA SNMP bug
  * enhancement Shortened a lot of reporting messages to make things more consistent
  * enhancement Rewritten logic on reporting pdisks
  * enhancement Added new special case for controller batteries
* Wed Jul  4 2012 cs@linux-administrator.com
- Update to version 3.7.6:
  * Minor feature enhancements, Minor bugfixes
  * enhancement Support for PCI attached storage (new in OMSA 7.0.0) was added.
  * enhancement Support was added for negative temperature readings and thresholds from temp probes.
  * bugfix Fix for physical disk check. If a disk was marked as predictive failure, and also had other
    failure conditions of a more severe nature, check_openmange only reported the predictive failure state.
    This has been fixed so that the most severe failure takes precedence.
  * enhancement The iDRAC6 and iDRAC7 controllers was identified via SNMP using integer values that are
    not defined in the MIB. This resulted in internal error warnings if the '-o' option was used.
    The plugin now defines these integer identifiers even though they are undocumented in the MIB.
  * enhancement The PNP template now contains comments which identifies which plugin version it was built for.
  * enhancement The manual pages were revised and completely rewritten from perl POD to Docbook XML format.
* Sat Apr 14 2012 cs@linux-administrator.com
- Update to version 3.7.5:
  * Minor bugfixes
  * bugfix A bug was fixed which could lead to perl warnings when either of the options '--tempunit' or '--fahrenheit' was used.
  * bugfix A workaround was added for an SNMP bug in OMSA 7.0.0 related to the "firmwareType" OID for iDRAC6 management cards.
  * bugfix A bug was fixed for a corner case where the temperature probe readings for storage enclosures
    were empty. Previously, this could produce perl warnings (internal errors).
* Fri Mar 30 2012 cs@linux-administrator.com
- Update to version 3.7.4:
  * Minor feature enhancements, Minor bugfixes
  * bugfix Allow "2c" to be specified as SNMP version via command line and config file option. Patch from Oskar Liljeblad.
  * bugfix Corrected a typo for the '--config' command line option.
  * bugfix fix warranty info link with '-I' or '--htmlinfo' option wrt. new layout on support.dell.com
  * feature Added check for 'servicetag', checks whether the servicetag is sane (i.e. not empty, "unknown" or other bogus value). Thanks to Xavier Bachelot for a patch.
* Wed Oct  5 2011 cs@linux-administrator.com
- Update to version 3.7.3:
  * Minor feature enhancements, Minor bugfixes
  * If the option -I or --htmlinfo was used, the OK output would be printed two times. This has been fixed so the OK output is now correct for HTML output.
  * A bug was fixed for config file parsing, if the plugin was used in local mode (i.e. no hostname specified). Reported by David Jones.
  * Distribution now includes an example configuration file, contributed by Xavier Bachelot
  * Various fixes to the RPM spec file contributed by Xavier Bachelot
  * RPM name was changed
- Changes in version 3.7.2:
  * Minor feature enhancements, Minor bugfixes
  * Added a new option '--hide-servicetag' to censor the servicetag in the plugin output. A corresponding config file option 'output_hide_servicetag' was created. Thanks to Sebastian Ahndorf for a patch
  * SNMP: Fixed bug in amperage probes perfdata output when one or more PSUs has lost power, which could cause garbled graphs
* Mon Aug 22 2011 cs@linux-administrator.com
- Update to version 3.7.1:
  * Minor feature enhancements, Minor bugfixes
  * Added new blacklisting keyword 'pdisk_foreign' to suppress warnings about foreign physical disks
  * SNMP: Get the controller number right when reporting issues with the controller cache battery
  * Various minor tweaks and bugfixes in the PNP4Nagios template
* Mon Aug 15 2011 cs@linux-administrator.com
- Update to version 3.7.0:
  * Major feature enhancements
  * Major overhaul of the perfdata code. This includes API breakage and fixes the following: - Probes were not sorted correctly - Voltage data was not included
  * The PNP template check_openmanage.php has been redone to work with the changes in perfdata output from the plugin
  * A new option --legacy-perfdata will make the the plugin output the performance data in the old format
  * Added support for a configuration file
  * Added manual page for the configuration file
  * If using html output, URLs will now open in a new window
  * Added a compatibility fix for OMSA 6.5.0, related to performance data for amperage probes when the plugin is used in local mode. Thanks to Benedikt Meyer for a patch.
* Fri Jun 24 2011 cs@linux-administrator.com
- Update to version 3.6.8:
  * Added workaround for a rare condition in which blade detection fails because the chassis IDs for the blade
    and interconnect board have switched places in the BaseBoardType SNMP table.
* Sun May 15 2011 cs@linux-administrator.com
- Update to version 3.6.7:
  * Minor bugfixes
  * A regression wrt. non-certified drives were fixed. The plugin failed to identify non-certified physical drives via SNMP.
  * Added the ability to blacklist non-certified drives with the 'pdisk_cert' blacklisting keyword.
- Changes in version 3.6.6:
  * Minor bugfixes
  * Fixed typo in help output
  * SD card check is now included if the parameter '--only chassis' is specified
  * The plugin will issue a proper warning if a physical drive is uncertified, instead of an unspecified warning. One or more uncertified drives will make the controller go into a non-critical (warning) state.
  * Slightly improved reporting of fan status
  * Exit with value 3 (unknown) if printing debug, help or version info. This is considered best practice for Nagios plugins.
  * Workaround added for logical SAS connectors to external storage enclosures, when using check_openmanage in local mode with OMSA 6.4.0 or later versions. The output from omreport could contain lines that the plugin was unable to parse, which would lead to internal errors.
